[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.DoUndockClientMsg

Notifies the DockManager of the undock of a client control.

## Declaration

Source position: controls.pp line 2236

`protected function TWinControl.DoUndockClientMsg(`
`NewTarget: TControl;`
`Client: TControl`
`):Boolean; virtual;`

## Function result

Always True.

## See also

TDockManager.RemoveControl |  | Removes the undocked control from the docksite layout.